Page MenuHomeFreeBSD

Test git-arc
AbandonedPublic

Authored by ihor_antonovs.family on May 9 2023, 12:45 AM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 27, 7:09 PM
Unknown Object (File)
Dec 20 2023, 7:03 AM
Unknown Object (File)
Dec 10 2023, 8:24 PM
Unknown Object (File)
Nov 16 2023, 2:32 PM
Unknown Object (File)
Nov 6 2023, 11:36 PM
Unknown Object (File)
Nov 6 2023, 7:09 AM
Unknown Object (File)
Oct 13 2023, 1:28 PM
Unknown Object (File)
Oct 10 2023, 5:38 PM
Subscribers

Details

Reviewers
None
Summary

This change tests git-arc's psycic abilities to guess author's email introduced in https://reviews.freebsd.org/D39992
This Differential Revision was created by manually uploading the diff via Phabricator's WebUI and it has no commit metadata (which can be used to get an email)

Test Plan
  1. Create this revision
  2. Use git-arc patch -c to create a commit
  3. Inspect commit metadata

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

ihor_antonovs.family created this revision.

Test no.1 Passed successfully:

 sh ./tools/tools/git/git-arc.sh patch -c D40016
 INFO  Base commit is not in local repository; trying to fetch.
Checking patch README.md...
Applied patch README.md cleanly.
 APPLIED  Successfully applied patch.
Applying D40016...
[git-arc-test 80108b46712d] Test git-arc
 1 file changed, 37 insertions(+), 29 deletions(-)


> git log --pretty=format:"%h - %s%nAuthor: %an <%ae>%nCommitter: %cn <%ce>%n" -n1
80108b46712d - Test git-arc
Author: Ihor Antonov <ihor@antonovs.family>
Committer: Ihor Antonov <ihor@antonovs.family>

Long lines don't seem to be wrapped.

> git log -n1
commit 80108b46712dc2aad86f6c8618be9e1fb4d406e6 (HEAD -> git-arc-test)
Author: Ihor Antonov <ihor@antonovs.family>
Date:   Mon May 8 18:01:54 2023 -0700

    Test git-arc

    This change tests git-arc's psycic abilities to guess author's email.
    This Differential Revision was created by manually uploading the diff via Phabricator's WebUI and it has no commit metadata (which can be used to get an email)

    Differential Revision:  https://reviews.freebsd.org/D40016

Test no.2 passed

D38826 has commit metadata that contains email that can be fetched via differential.querydiffs call

sh ./tools/tools/git/git-arc.sh patch -c D38826
Checking patch libexec/rc/rc.d/jail...
Checking patch libexec/rc/rc.conf...
Hunk #1 succeeded at 734 (offset -1 lines).
Applied patch libexec/rc/rc.d/jail cleanly.
Applied patch libexec/rc/rc.conf cleanly.
 APPLIED  Successfully applied patch.
Applying D38826...
[git-arc-test f705a1d52592] Fix multiple rc.d/jail and jail.conf.d issues
 Author: Antranig Vartanian <antranigv@freebsd.am>
 2 files changed, 19 insertions(+), 8 deletions(-)

> git log -n1
commit f705a1d52592a6059feddc8fff95a5cfaf25bbb4 (HEAD -> git-arc-test)
Author: Antranig Vartanian <antranigv@freebsd.am>
Date:   Mon May 8 19:18:16 2023 -0700

    Fix multiple rc.d/jail and jail.conf.d issues

    This patch adds/fixes the following:

    - Ability to "merge" global configs from /etc/jail.conf
    - Fixes the issue with depend when depends are in a separate jail.conf file
    - All jails.conf jail (in /etc/jail.conf, /etc/jail.*.conf and /etc/jail.conf.d/*.conf) start automatically, without the need to define them in jail_list in rc.conf

    Sponsored by: illuria, Inc.

    Differential Revision:  https://reviews.freebsd.org/D38826

> git log --pretty=format:"%h - %s%nAuthor: %an <%ae>%nCommitter: %cn <%ce>%n" -n1
f705a1d52592 - Fix multiple rc.d/jail and jail.conf.d issues
Author: Antranig Vartanian <antranigv@freebsd.am>
Committer: Ihor Antonov <ihor@antonovs.family>